Subject: bug#49570: 28.0.50; url-http proxy connection-wait

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 21 Jul 2021 13:46:39 +0100

Gregory Heytings <[email-masked]> writes:

>>>>>> Actually I thought I removed feature/native-comp, is it still in place?
>>>>> I think it's gone from Savannah, but if I remember correctly, that doesn't
>>>>> make the branch go away in other repos?
>>>> I see, that's annoying but I guess we have no workaround for that :/
>>> The workaround is to tell people to say
>>>
>>>   git remote prune origin
>>> from time to time.
>>
>> No, the workaround is to tell people to set
>>
>> git config remote.origin.prune true
>
> (Or, of course, to add a "git_config remote.origin.prune true" in autogen.sh.)

If pruning loses data it shouldn't be enabled by default in all
checkouts, e.g. if a branch is accidentally deleted by someone else then
simply fetching shouldn't propagate that deletion for others.  So IMO
the developer should decide when and how to enable this.  (Unless I've
misunderstood something.)

-- 
Basil